Daemon Power

The NetBSD Packages Collection: devel/ocaml-async_rpc_kernel

Brief description of the package:
Platform-independent core of Async RPC library

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/janestreet/async_rpc_kernel/.

Please note that this package has a mit license.

The package is located in the "devel/ocaml-async_rpc_kernel" directory. The current source version of the package is "ocaml-async_rpc_kernel-0.12.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/ocaml-async_rpc_kernel :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ocaml-dune>=1.7.0 ocaml-findlib>=1.2 ocaml>=4.08.0 cwrappers>=20150314 ocaml>=4.08.1nb1 ocaml-findlib>=1.8.1 ocaml-opaline>=0.3.1 ocaml-opam-file-format>=2.0.0 ocamlbuild>=0.9.2 ocamlbuild>=0.14.0 ocaml-opaline>=0.3.2 ocaml-async_kernel>=0.12.0 ocaml-core_kernel>=0.12.2 ocaml-base>=0.9.3 ocaml-sexplib0>=0.11.0 ocaml-dune>=1.9.3 ocaml-sexplib0>=0.12.0 ocaml-base_bigstring>=0.12.0 ocaml-ppx_jane>=0.12.0 ocaml-base_quickcheck>=0.12.0 ocaml-ppx_base>=0.9.0 ocaml-ppx_compare>=0.9.0 ocaml-ppxlib>=0.3.0 ocaml-compiler-libs>=0.9.0 ocaml-migrate-parsetree>=1.0.1 ocaml-ppx_derivers>=1.0 ocaml-result>=1.2 ocaml-ppx_derivers>=1.2nb4 ocaml-result>=1.3nb4 ocaml-stdio>=0.9.0 ocaml-base>=0.12.2 ocaml-compiler-libs>=0.11.0nb4 ocaml-migrate-parsetree>=1.4.0 ocaml-stdio>=0.12.0 ocaml-ppxlib>=0.8.0 ocaml-ppx_enumerate>=0.9.0 ocaml-ppx_hash>=0.9.0 ocaml-ppx_sexp_conv>=0.9.0 ocaml-ppx_compare>=0.12.0 ocaml-ppx_sexp_conv>=0.12.0 ocaml-ppx_enumerate>=0.12.0 ocaml-ppx_hash>=0.12.0 ocaml-ppx_fields_conv>=0.12.0 ocaml-fieldslib>=0.12.0 ocaml-ppx_let>=0.12.0 ocaml-ppx_sexp_message>=0.12.0 ocaml-ppx_here>=0.12.0 ocaml-splittable_random>=0.12.0 ocaml-ppx_assert>=0.12.0 ocaml-ppx_bench>=0.12.0 ocaml-ppx_inline_test>=0.12.0 ocaml-ppx_base>=0.12.0 ocaml-ppx_fields_conv>=0.12.0nb1 ocaml-ppx_bin_prot>=0.12.1 ocaml-bin_prot>=0.12.0 ocaml-ppx_custom_printf>=0.12.0 ocaml-ppx_variants_conv>=0.12.0 ocaml-variantslib>=0.12.0 ocaml-ppx_custom_printf>=0.12.1 ocaml-ppx_expect>=0.12.0 ocaml-re>=1.6.0 ocaml-re>=1.8.0nb1 ocaml-ppx_fail>=0.12.0 ocaml-ppx_module_timer>=0.12.0 ocaml-time_now>=0.12.0 ocaml-jane-street-headers>=0.12.0 ocaml-jst-config>=0.12.0 ocaml-ppx_optcomp>=0.9.0 ocaml-ppx_optcomp>=0.12.0 ocaml-ppx_optional>=0.12.0 ocaml-ppx_pipebang>=0.12.0 ocaml-ppx_sexp_value>=0.12.0 ocaml-ppx_stable>=0.12.0 ocaml-ppx_typerep_conv>=0.12.0 ocaml-typerep>=0.12.0 ocaml-sexplib>=0.9.0 ocaml-parsexp>=0.11.0 ocaml-num>=1.1 ocaml-parsexp>=0.12.0 ocaml-num>=1.1nb2 ocaml-sexplib>=0.12.0 ocaml-protocol_version_header>=0.12.0 .

This package requires the following package(s) to run: ocaml-dune>=1.7.0 ocaml-findlib>=1.2 ocaml>=4.08.0 ocaml>=4.08.1nb1 ocaml-findlib>=1.8.1 ocaml-async_kernel>=0.12.0 ocaml-core_kernel>=0.12.2 ocaml-base>=0.9.3 ocaml-sexplib0>=0.11.0 ocaml-dune>=1.9.3 ocaml-sexplib0>=0.12.0 ocaml-base_bigstring>=0.12.0 ocaml-ppx_jane>=0.12.0 ocaml-base_quickcheck>=0.12.0 ocaml-ppx_base>=0.9.0 ocaml-ppx_compare>=0.9.0 ocaml-ppxlib>=0.3.0 ocaml-compiler-libs>=0.9.0 ocaml-migrate-parsetree>=1.0.1 ocaml-ppx_derivers>=1.0 ocaml-result>=1.2 ocaml-ppx_derivers>=1.2nb4 ocaml-result>=1.3nb4 ocaml-stdio>=0.9.0 ocaml-base>=0.12.2 ocaml-compiler-libs>=0.11.0nb4 ocaml-migrate-parsetree>=1.4.0 ocaml-stdio>=0.12.0 ocaml-ppxlib>=0.8.0 ocaml-ppx_enumerate>=0.9.0 ocaml-ppx_hash>=0.9.0 ocaml-ppx_sexp_conv>=0.9.0 ocaml-ppx_compare>=0.12.0 ocaml-ppx_sexp_conv>=0.12.0 ocaml-ppx_enumerate>=0.12.0 ocaml-ppx_hash>=0.12.0 ocaml-ppx_fields_conv>=0.12.0 ocaml-fieldslib>=0.12.0 ocaml-ppx_let>=0.12.0 ocaml-ppx_sexp_message>=0.12.0 ocaml-ppx_here>=0.12.0 ocaml-splittable_random>=0.12.0 ocaml-ppx_assert>=0.12.0 ocaml-ppx_bench>=0.12.0 ocaml-ppx_inline_test>=0.12.0 ocaml-ppx_base>=0.12.0 ocaml-ppx_fields_conv>=0.12.0nb1 ocaml-ppx_bin_prot>=0.12.1 ocaml-bin_prot>=0.12.0 ocaml-ppx_custom_printf>=0.12.0 ocaml-ppx_variants_conv>=0.12.0 ocaml-variantslib>=0.12.0 ocaml-ppx_custom_printf>=0.12.1 ocaml-ppx_expect>=0.12.0 ocaml-re>=1.6.0 ocaml-re>=1.8.0nb1 ocaml-ppx_fail>=0.12.0 ocaml-ppx_module_timer>=0.12.0 ocaml-time_now>=0.12.0 ocaml-jane-street-headers>=0.12.0 ocaml-jst-config>=0.12.0 ocaml-ppx_optcomp>=0.9.0 ocaml-ppx_optcomp>=0.12.0 ocaml-ppx_optional>=0.12.0 ocaml-ppx_pipebang>=0.12.0 ocaml-ppx_sexp_value>=0.12.0 ocaml-ppx_stable>=0.12.0 ocaml-ppx_typerep_conv>=0.12.0 ocaml-typerep>=0.12.0 ocaml-sexplib>=0.9.0 ocaml-parsexp>=0.11.0 ocaml-num>=1.1 ocaml-parsexp>=0.12.0 ocaml-num>=1.1nb2 ocaml-sexplib>=0.12.0 ocaml-protocol_version_header>=0.12.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv6hf:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 8.0)
i386:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.0)
i386:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.0)
i386:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.1)
i386:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.1)
i386:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 8.0)
i386:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 8.0)
x86_64:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.0)
x86_64:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.0)
x86_64:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.1)
x86_64:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 7.1)
x86_64:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 8.0)
x86_64:ocaml-async_rpc_kernel-0.12.0.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]